_bytecodetools (Jython API documentation)
Date: 2024-08-18

org.python.modules

## Class _bytecodetools

- java.lang.Object
- - org.python.modules._bytecodetools

-     public class _bytecodetools
      extends java.lang.Object

  BytecodeTools provides tools for generated JVM bytecode.

  This module supports registering a python callback function to be notified when new bytecode is loaded. see also core/BytecodeNotification.java

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `__doc__`
    `static java.lang.String` | `__name__`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_bytecodetools()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()` Clears all the registered callbacks.
    `static void` | `register(PyObject callback)` Registers a python callback function that will be notified on bytecode loading.
    `static boolean` | `unregister(PyObject callback)` Unregisters a python callback function.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __doc__

          public static final java.lang.String __doc__

      See Also:
        Constant Field Values

    - #### __name__

          public static final java.lang.String __name__

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### _bytecodetools

          public _bytecodetools()

  - ### Method Detail

    - #### register

          public static void register(PyObject callback)

      Registers a python callback function that will be notified on bytecode loading.
      Parameters:
        `callback` - a Python callback function

    - #### unregister

          public static boolean unregister(PyObject callback)

      Unregisters a python callback function.
      Parameters:
        `callback` - a Python callback function

    - #### clear

          public static void clear()

      Clears all the registered callbacks.

Jython homepage